# Interface methods for submodule: LaplacianRecursiveGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LaplacianRecursiveGaussianImageFilter
class LaplacianRecursiveGaussianImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def SetNormalizeAcrossScale(self, normalize: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

